autofs-5.1.1 - fix modules make clean target

From: Ian Kent <raven@themaw.net>

Add yacc generated files to the make modules clean target.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG        |    1 +
 modules/Makefile |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 1ef65ea..8cff33f 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -46,6 +46,7 @@
 - log pipe read errors.
 - fix handle_mounts() termination condition check.
 - fix Makefile linking dependencies.
+- fix modules make clean target.
 
 21/04/2015 autofs-5.1.1
 =======================
diff --git a/modules/Makefile b/modules/Makefile
index 75dc509..d9ab06c 100644
--- a/modules/Makefile
+++ b/modules/Makefile
@@ -17,7 +17,7 @@ MODS :=	lookup_file.so lookup_program.so lookup_userhome.so \
 	mount_generic.so mount_nfs.so mount_afs.so mount_autofs.so \
 	mount_changer.so mount_bind.so
 
-YACCSRC = amd_tok.c amd_parse.tab.c amd_parse.tab.h \
+YACCSRC = amd_tok.c amd_parse.tab.c amd_parse.tab.h
 
 ifeq ($(EXT2FS), 1)
   SRCS += mount_ext2.c
@@ -69,7 +69,7 @@ CFLAGS += -DAUTOFS_MAP_DIR=\"$(autofsmapdir)\"
 all: $(MODS)
 
 clean:
-	rm -f *.o *.s *.so *~
+	rm -f *.o *.s *.so *~ *.output $(YACCSRC)
 
 # mount_smbfs.so is an obsolete module which must be removed
 install: all
